<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::notifications Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">capabilityAgents</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html">notifications</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#nested-classes">Classes</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::notifications Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1test.html">test</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_indicator.html">NotificationIndicator</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer.html">NotificationRenderer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer_interface.html">NotificationRendererInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notification_renderer_observer_interface.html">NotificationRendererObserverInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html">NotificationsCapabilityAgent</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_storage_interface.html">NotificationsStorageInterface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_s_q_lite_notifications_storage.html">SQLiteNotificationsStorage</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a0766f65a53522271be518260c5727a3f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0766f65a53522271be518260c5727a3f">IndicatorState</a> { <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0766f65a53522271be518260c5727a3fa88559a0cfd8250c9d65970cc145c92d4">IndicatorState::OFF</a> = 0, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0766f65a53522271be518260c5727a3fa90651ebea9a35ec4e018c8157492e17c">IndicatorState::ON</a> = 1, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0766f65a53522271be518260c5727a3fa0db45d2a4141101bdfe48e3314cfbca3">IndicatorState::UNDEFINED</a>
 }</td></tr>
<tr class="separator:a0766f65a53522271be518260c5727a3f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80a513116d8d663f36151f11a9d0396e"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> { <br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7">NotificationsCapabilityAgentState::IDLE</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e">NotificationsCapabilityAgentState::PLAYING</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce">NotificationsCapabilityAgentState::CANCELING_PLAY</a>, 
<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1">NotificationsCapabilityAgentState::SHUTTING_DOWN</a>, 
<br />
&#160;&#160;<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112">NotificationsCapabilityAgentState::SHUTDOWN</a>
<br />
 }</td></tr>
<tr class="separator:a80a513116d8d663f36151f11a9d0396e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a39cd86dc87b5fb189bd60f26326cf6da"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a39cd86dc87b5fb189bd60f26326cf6da">indicatorStateToInt</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> state)</td></tr>
<tr class="separator:a39cd86dc87b5fb189bd60f26326cf6da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6397afda167b2cd209a78c82b59b676"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#af6397afda167b2cd209a78c82b59b676">intToIndicatorState</a> (int stateNum)</td></tr>
<tr class="separator:af6397afda167b2cd209a78c82b59b676"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9c63b3cc8c094ae74c7abf2ee5afc7"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6a9c63b3cc8c094ae74c7abf2ee5afc7">operator&lt;&lt;</a> (std::ostream &amp;stream, <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> state)</td></tr>
<tr class="separator:a6a9c63b3cc8c094ae74c7abf2ee5afc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2eda4f4d93b013fe31009ee347cdc2b1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2eda4f4d93b013fe31009ee347cdc2b1">stateToString</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> state)</td></tr>
<tr class="separator:a2eda4f4d93b013fe31009ee347cdc2b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af551518036a97683e5d3175867bafba9"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#af551518036a97683e5d3175867bafba9">operator&lt;&lt;</a> (std::ostream &amp;stream, const <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> &amp;state)</td></tr>
<tr class="separator:af551518036a97683e5d3175867bafba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a449d74ccd7a56f2f1df627dcf7453b5e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a449d74ccd7a56f2f1df627dcf7453b5e">TAG</a> (&quot;NotificationsRenderer&quot;)</td></tr>
<tr class="memdesc:a449d74ccd7a56f2f1df627dcf7453b5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#a449d74ccd7a56f2f1df627dcf7453b5e">More...</a><br /></td></tr>
<tr class="separator:a449d74ccd7a56f2f1df627dcf7453b5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c7b0bcd74dd52f6104ee9e011e71404"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a5c7b0bcd74dd52f6104ee9e011e71404">operator&lt;&lt;</a> (std::ostream &amp;stream, const NotificationRenderer::State state)</td></tr>
<tr class="separator:a5c7b0bcd74dd52f6104ee9e011e71404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc97f17d35adf26c4d0c1e3abb297631"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#afc97f17d35adf26c4d0c1e3abb297631">TAG</a> (&quot;NotificationsCapabilityAgent&quot;)</td></tr>
<tr class="memdesc:afc97f17d35adf26c4d0c1e3abb297631"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#afc97f17d35adf26c4d0c1e3abb297631">More...</a><br /></td></tr>
<tr class="separator:afc97f17d35adf26c4d0c1e3abb297631"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a51d4e6a1a00ffd0da28a416ea9c160"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">avsCommon::avs::CapabilityConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1a51d4e6a1a00ffd0da28a416ea9c160">getNotificationsCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:a1a51d4e6a1a00ffd0da28a416ea9c160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad337e4dacdf4b09d3999decb25a7a92f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ad337e4dacdf4b09d3999decb25a7a92f">TAG</a> (&quot;SQLiteNotificationsStorage&quot;)</td></tr>
<tr class="memdesc:ad337e4dacdf4b09d3999decb25a7a92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="#ad337e4dacdf4b09d3999decb25a7a92f">More...</a><br /></td></tr>
<tr class="separator:ad337e4dacdf4b09d3999decb25a7a92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a561d5a963078a58a9eb94a68dbcedd0f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a561d5a963078a58a9eb94a68dbcedd0f">popNotificationIndicatorLocked</a> (<a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html">SQLiteDatabase</a> *database)</td></tr>
<tr class="separator:a561d5a963078a58a9eb94a68dbcedd0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a0440aa524c87505ac3caae9e9e1f706a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a0440aa524c87505ac3caae9e9e1f706a">NOTIFICATIONS_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:a0440aa524c87505ac3caae9e9e1f706a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fef378c8df5fc5b4a2b1f0ba729d05a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6fef378c8df5fc5b4a2b1f0ba729d05a">NOTIFICATIONS_CAPABILITY_INTERFACE_NAME</a> = &quot;Notifications&quot;</td></tr>
<tr class="memdesc:a6fef378c8df5fc5b4a2b1f0ba729d05a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notifications interface name.  <a href="#a6fef378c8df5fc5b4a2b1f0ba729d05a">More...</a><br /></td></tr>
<tr class="separator:a6fef378c8df5fc5b4a2b1f0ba729d05a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84ecc569ef1a58a6907928984d783f65"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a84ecc569ef1a58a6907928984d783f65">NOTIFICATIONS_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.0&quot;</td></tr>
<tr class="memdesc:a84ecc569ef1a58a6907928984d783f65"><td class="mdescLeft">&#160;</td><td class="mdescRight">Notifications interface version.  <a href="#a84ecc569ef1a58a6907928984d783f65">More...</a><br /></td></tr>
<tr class="separator:a84ecc569ef1a58a6907928984d783f65"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13ca861f554bba3a2d5acac936585312"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a> = &quot;Notifications&quot;</td></tr>
<tr class="memdesc:a13ca861f554bba3a2d5acac936585312"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace for this capability agent.  <a href="#a13ca861f554bba3a2d5acac936585312">More...</a><br /></td></tr>
<tr class="separator:a13ca861f554bba3a2d5acac936585312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8af92c6d3ad8907d9d76ef781fd35af4"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a8af92c6d3ad8907d9d76ef781fd35af4">INDICATOR_STATE_CONTEXT_KEY</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;IndicatorState&quot;}</td></tr>
<tr class="memdesc:a8af92c6d3ad8907d9d76ef781fd35af4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html">NotificationsCapabilityAgent</a></code> context state signature.  <a href="#a8af92c6d3ad8907d9d76ef781fd35af4">More...</a><br /></td></tr>
<tr class="separator:a8af92c6d3ad8907d9d76ef781fd35af4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e313af9a2e32fa33305b0a245d6d415"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a7e313af9a2e32fa33305b0a245d6d415">SET_INDICATOR</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;SetIndicator&quot;}</td></tr>
<tr class="memdesc:a7e313af9a2e32fa33305b0a245d6d415"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetIndicator</code> directive signature.  <a href="#a7e313af9a2e32fa33305b0a245d6d415">More...</a><br /></td></tr>
<tr class="separator:a7e313af9a2e32fa33305b0a245d6d415"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda3820736d291b26674fb1a9d6d19d3"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#afda3820736d291b26674fb1a9d6d19d3">CLEAR_INDICATOR</a> {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;ClearIndicator&quot;}</td></tr>
<tr class="memdesc:afda3820736d291b26674fb1a9d6d19d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">The <code>SetIndicator</code> directive signature.  <a href="#afda3820736d291b26674fb1a9d6d19d3">More...</a><br /></td></tr>
<tr class="separator:afda3820736d291b26674fb1a9d6d19d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7fb1574295aed88b0a1531bc23a9fa3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ae7fb1574295aed88b0a1531bc23a9fa3">PERSIST_VISUAL_INDICATOR_KEY</a> = &quot;persistVisualIndicator&quot;</td></tr>
<tr class="memdesc:ae7fb1574295aed88b0a1531bc23a9fa3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Keys for directive payload values.  <a href="#ae7fb1574295aed88b0a1531bc23a9fa3">More...</a><br /></td></tr>
<tr class="separator:ae7fb1574295aed88b0a1531bc23a9fa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6aa7e9ad73bda33e496470c62c598302"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6aa7e9ad73bda33e496470c62c598302">PLAY_AUDIO_INDICATOR_KEY</a> = &quot;playAudioIndicator&quot;</td></tr>
<tr class="separator:a6aa7e9ad73bda33e496470c62c598302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afed64e71909bb1352f700201de6197e1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#afed64e71909bb1352f700201de6197e1">ASSET_KEY</a> = &quot;asset&quot;</td></tr>
<tr class="separator:afed64e71909bb1352f700201de6197e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de1b8752cb3549716c816d609e1f097"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1de1b8752cb3549716c816d609e1f097">ASSET_ID_KEY</a> = &quot;assetId&quot;</td></tr>
<tr class="separator:a1de1b8752cb3549716c816d609e1f097"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea51fb508a3da5dff12f149c38e40cd8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#aea51fb508a3da5dff12f149c38e40cd8">ASSET_URL_KEY</a> = &quot;url&quot;</td></tr>
<tr class="separator:aea51fb508a3da5dff12f149c38e40cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777bf22881b730248127a3197fe6e59e"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a777bf22881b730248127a3197fe6e59e">IS_ENABLED_KEY</a> [] = &quot;isEnabled&quot;</td></tr>
<tr class="memdesc:a777bf22881b730248127a3197fe6e59e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key used to provide the "isEnabled" property in the state payload.  <a href="#a777bf22881b730248127a3197fe6e59e">More...</a><br /></td></tr>
<tr class="separator:a777bf22881b730248127a3197fe6e59e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90159498ad75a76f8eb3be1c0839b4ef"><td class="memItemLeft" align="right" valign="top">static const char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a90159498ad75a76f8eb3be1c0839b4ef">IS_VISUAL_INDICATOR_PERSISTED_KEY</a> [] = &quot;isVisualIndicatorPersisted&quot;</td></tr>
<tr class="memdesc:a90159498ad75a76f8eb3be1c0839b4ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key used to provide the "isVisualIndicatorPersisted" property in the state payload.  <a href="#a90159498ad75a76f8eb3be1c0839b4ef">More...</a><br /></td></tr>
<tr class="separator:a90159498ad75a76f8eb3be1c0839b4ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad168645113a45c10d458b90bc14241c3"><td class="memItemLeft" align="right" valign="top">static const std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ad168645113a45c10d458b90bc14241c3">SHUTDOWN_TIMEOUT</a> {500}</td></tr>
<tr class="separator:ad168645113a45c10d458b90bc14241c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61a68b833b971861506179cec9cfcd2a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a61a68b833b971861506179cec9cfcd2a">NOTIFICATIONS_CONFIGURATION_ROOT_KEY</a> = &quot;notifications&quot;</td></tr>
<tr class="memdesc:a61a68b833b971861506179cec9cfcd2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the root of settings.  <a href="#a61a68b833b971861506179cec9cfcd2a">More...</a><br /></td></tr>
<tr class="separator:a61a68b833b971861506179cec9cfcd2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0f664fa963827eb4b438d156e2c9c06"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ac0f664fa963827eb4b438d156e2c9c06">NOTIFICATIONS_DB_FILE_PATH_KEY</a> = &quot;databaseFilePath&quot;</td></tr>
<tr class="memdesc:ac0f664fa963827eb4b438d156e2c9c06"><td class="mdescLeft">&#160;</td><td class="mdescRight">The key in our config file to find the database file path.  <a href="#ac0f664fa963827eb4b438d156e2c9c06">More...</a><br /></td></tr>
<tr class="separator:ac0f664fa963827eb4b438d156e2c9c06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9876876bd0c30eb48c422df08a9cf1c2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a9876876bd0c30eb48c422df08a9cf1c2">NOTIFICATION_INDICATOR_TABLE_NAME</a> = &quot;notificationIndicators&quot;</td></tr>
<tr class="separator:a9876876bd0c30eb48c422df08a9cf1c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa8ada39243a049d78a9a39d46d4618"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2fa8ada39243a049d78a9a39d46d4618">DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</a> = &quot;persistVisualIndicator&quot;</td></tr>
<tr class="separator:a2fa8ada39243a049d78a9a39d46d4618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6117b2559da464ed7f8cca984ef723"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#abc6117b2559da464ed7f8cca984ef723">DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</a> = &quot;playAudioIndicator&quot;</td></tr>
<tr class="separator:abc6117b2559da464ed7f8cca984ef723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade212ed907bc22e26a759f3dce8b099d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ade212ed907bc22e26a759f3dce8b099d">DATABASE_COLUMN_ASSET_ID_NAME</a> = &quot;assetId&quot;</td></tr>
<tr class="separator:ade212ed907bc22e26a759f3dce8b099d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e5822b0a4dc46aae638572560716289"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1e5822b0a4dc46aae638572560716289">DATABASE_COLUMN_ASSET_URL_NAME</a> = &quot;assetUrl&quot;</td></tr>
<tr class="separator:a1e5822b0a4dc46aae638572560716289"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ad77261f814e7abfdd288af699878f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#aa9ad77261f814e7abfdd288af699878f">CREATE_NOTIFICATION_INDICATOR_TABLE_SQL_STRING</a></td></tr>
<tr class="separator:aa9ad77261f814e7abfdd288af699878f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e754560cb10cb84f09d0976d9957178"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">INDICATOR_STATE_NAME</a> = &quot;indicatorState&quot;</td></tr>
<tr class="memdesc:a6e754560cb10cb84f09d0976d9957178"><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the table and the field that will hold the state of the indicator.  <a href="#a6e754560cb10cb84f09d0976d9957178">More...</a><br /></td></tr>
<tr class="separator:a6e754560cb10cb84f09d0976d9957178"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01d27c3af75410431c818cda7f45a3f8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a01d27c3af75410431c818cda7f45a3f8">CREATE_INDICATOR_STATE_TABLE_SQL_STRING</a></td></tr>
<tr class="separator:a01d27c3af75410431c818cda7f45a3f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab122987b6d831ebd8efc5fc42ecfe827"><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">NotificationsStorageInterface::IndicatorState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ab122987b6d831ebd8efc5fc42ecfe827">DEFAULT_INDICATOR_STATE</a></td></tr>
<tr class="separator:ab122987b6d831ebd8efc5fc42ecfe827"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a0766f65a53522271be518260c5727a3f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0766f65a53522271be518260c5727a3f">&#9670;&nbsp;</a></span>IndicatorState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">alexaClientSDK::capabilityAgents::notifications::IndicatorState</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">An enum class used to represent the state of the notification indicator.</p>
<dl class="section note"><dt>Note</dt><dd>These values shouldn't be changed before evaluating the effect a change will have on existing databases. </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a0766f65a53522271be518260c5727a3fa88559a0cfd8250c9d65970cc145c92d4"></a>OFF&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0766f65a53522271be518260c5727a3fa90651ebea9a35ec4e018c8157492e17c"></a>ON&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a0766f65a53522271be518260c5727a3fa0db45d2a4141101bdfe48e3314cfbca3"></a>UNDEFINED&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<a id="a80a513116d8d663f36151f11a9d0396e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80a513116d8d663f36151f11a9d0396e">&#9670;&nbsp;</a></span>NotificationsCapabilityAgentState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">alexaClientSDK::capabilityAgents::notifications::NotificationsCapabilityAgentState</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a80a513116d8d663f36151f11a9d0396eaa5daf7f2ebbba4975d61dab1c40188c7"></a>IDLE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a80a513116d8d663f36151f11a9d0396ea50366a49630a416ab3ccaa004196027e"></a>PLAYING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a80a513116d8d663f36151f11a9d0396ea2f8cf861e52ab0664bc34106c98e11ce"></a>CANCELING_PLAY&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a80a513116d8d663f36151f11a9d0396ea89e5325b1f9acbf5dde5c70b84bbdcb1"></a>SHUTTING_DOWN&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a80a513116d8d663f36151f11a9d0396eab9984206799a7f9fe4bd1b6c18db8112"></a>SHUTDOWN&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a1a51d4e6a1a00ffd0da28a416ea9c160"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a51d4e6a1a00ffd0da28a416ea9c160">&#9670;&nbsp;</a></span>getNotificationsCapabilityConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; alexaClientSDK::capabilityAgents::notifications::getNotificationsCapabilityConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Creates the Notifications capability configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>The Notifications capability configuration. </dd></dl>

</div>
</div>
<a id="a39cd86dc87b5fb189bd60f26326cf6da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39cd86dc87b5fb189bd60f26326cf6da">&#9670;&nbsp;</a></span>indicatorStateToInt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::capabilityAgents::notifications::indicatorStateToInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert an IndicatorState to an int.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">state</td><td>The <code>IndicatorState</code> to convert. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The int representation of state </dd></dl>

</div>
</div>
<a id="af6397afda167b2cd209a78c82b59b676"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6397afda167b2cd209a78c82b59b676">&#9670;&nbsp;</a></span>intToIndicatorState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a> alexaClientSDK::capabilityAgents::notifications::intToIndicatorState </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>stateNum</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Convert an int into an <code>IndicatorState</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stateNum</td><td>The int to convert. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The IndicatorState representation of stateNum or nullptr if stateNum is invalid. </dd></dl>

</div>
</div>
<a id="a5c7b0bcd74dd52f6104ee9e011e71404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c7b0bcd74dd52f6104ee9e011e71404">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::capabilityAgents::notifications::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const NotificationRenderer::State&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Emit a NotificationRenderer::State value to a stream.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stream</td><td>The stream to emit the value to. </td></tr>
    <tr><td class="paramname">state</td><td>The state to emit. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The stream that was emitted to, allowing chained stream operators. </dd></dl>

</div>
</div>
<a id="af551518036a97683e5d3175867bafba9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af551518036a97683e5d3175867bafba9">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::capabilityAgents::notifications::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a> &amp;&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6a9c63b3cc8c094ae74c7abf2ee5afc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a9c63b3cc8c094ae74c7abf2ee5afc7">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; alexaClientSDK::capabilityAgents::notifications::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">IndicatorState</a>&#160;</td>
          <td class="paramname"><em>state</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a561d5a963078a58a9eb94a68dbcedd0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a561d5a963078a58a9eb94a68dbcedd0f">&#9670;&nbsp;</a></span>popNotificationIndicatorLocked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool alexaClientSDK::capabilityAgents::notifications::popNotificationIndicatorLocked </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1storage_1_1sqlite_storage_1_1_s_q_lite_database.html">SQLiteDatabase</a> *&#160;</td>
          <td class="paramname"><em>database</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">A utility function to pop the next notificationIndicator from the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">database</td><td>Pounter to the database. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the delete operation was successful. </dd></dl>
<dl class="section note"><dt>Note</dt><dd>This function should only be called when holding m_databaseMutex. </dd></dl>

</div>
</div>
<a id="a2eda4f4d93b013fe31009ee347cdc2b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2eda4f4d93b013fe31009ee347cdc2b1">&#9670;&nbsp;</a></span>stateToString()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::capabilityAgents::notifications::stateToString </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a80a513116d8d663f36151f11a9d0396e">NotificationsCapabilityAgentState</a>&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a449d74ccd7a56f2f1df627dcf7453b5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a449d74ccd7a56f2f1df627dcf7453b5e">&#9670;&nbsp;</a></span>TAG() <span class="overload">[1/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::notifications::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;NotificationsRenderer&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="ad337e4dacdf4b09d3999decb25a7a92f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad337e4dacdf4b09d3999decb25a7a92f">&#9670;&nbsp;</a></span>TAG() <span class="overload">[2/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::notifications::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;SQLiteNotificationsStorage&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<a id="afc97f17d35adf26c4d0c1e3abb297631"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc97f17d35adf26c4d0c1e3abb297631">&#9670;&nbsp;</a></span>TAG() <span class="overload">[3/3]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const std::string alexaClientSDK::capabilityAgents::notifications::TAG </td>
          <td>(</td>
          <td class="paramtype">&quot;NotificationsCapabilityAgent&quot;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String to identify log entries originating from this file. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a1de1b8752cb3549716c816d609e1f097"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1de1b8752cb3549716c816d609e1f097">&#9670;&nbsp;</a></span>ASSET_ID_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::ASSET_ID_KEY = &quot;assetId&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afed64e71909bb1352f700201de6197e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afed64e71909bb1352f700201de6197e1">&#9670;&nbsp;</a></span>ASSET_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::ASSET_KEY = &quot;asset&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aea51fb508a3da5dff12f149c38e40cd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea51fb508a3da5dff12f149c38e40cd8">&#9670;&nbsp;</a></span>ASSET_URL_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::ASSET_URL_KEY = &quot;url&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afda3820736d291b26674fb1a9d6d19d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afda3820736d291b26674fb1a9d6d19d3">&#9670;&nbsp;</a></span>CLEAR_INDICATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::notifications::CLEAR_INDICATOR {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;ClearIndicator&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>SetIndicator</code> directive signature. </p>

</div>
</div>
<a id="a01d27c3af75410431c818cda7f45a3f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01d27c3af75410431c818cda7f45a3f8">&#9670;&nbsp;</a></span>CREATE_INDICATOR_STATE_TABLE_SQL_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::CREATE_INDICATOR_STATE_TABLE_SQL_STRING</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    std::string(<span class="stringliteral">&quot;CREATE TABLE &quot;</span>) + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">INDICATOR_STATE_NAME</a> + <span class="stringliteral">&quot; (&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">INDICATOR_STATE_NAME</a> + <span class="stringliteral">&quot; INT NOT NULL);&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a6e754560cb10cb84f09d0976d9957178"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a6e754560cb10cb84f09d0976d9957178">alexaClientSDK::capabilityAgents::notifications::INDICATOR_STATE_NAME</a></div><div class="ttdeci">static const std::string INDICATOR_STATE_NAME</div><div class="ttdoc">The name of the table and the field that will hold the state of the indicator. </div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:65</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="aa9ad77261f814e7abfdd288af699878f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ad77261f814e7abfdd288af699878f">&#9670;&nbsp;</a></span>CREATE_NOTIFICATION_INDICATOR_TABLE_SQL_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::CREATE_NOTIFICATION_INDICATOR_TABLE_SQL_STRING</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    std::string(<span class="stringliteral">&quot;CREATE TABLE &quot;</span>) + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a9876876bd0c30eb48c422df08a9cf1c2">NOTIFICATION_INDICATOR_TABLE_NAME</a> + <span class="stringliteral">&quot; (&quot;</span> +</div><div class="line">    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2fa8ada39243a049d78a9a39d46d4618">DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</a> + <span class="stringliteral">&quot; INT NOT NULL,&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#abc6117b2559da464ed7f8cca984ef723">DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</a> +</div><div class="line">    <span class="stringliteral">&quot; INT NOT NULL,&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ade212ed907bc22e26a759f3dce8b099d">DATABASE_COLUMN_ASSET_ID_NAME</a> + <span class="stringliteral">&quot; TEXT NOT NULL,&quot;</span> + <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1e5822b0a4dc46aae638572560716289">DATABASE_COLUMN_ASSET_URL_NAME</a> +</div><div class="line">    <span class="stringliteral">&quot; TEXT NOT NULL);&quot;</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_ade212ed907bc22e26a759f3dce8b099d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#ade212ed907bc22e26a759f3dce8b099d">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_ID_NAME</a></div><div class="ttdeci">static const std::string DATABASE_COLUMN_ASSET_ID_NAME</div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:54</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_abc6117b2559da464ed7f8cca984ef723"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#abc6117b2559da464ed7f8cca984ef723">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</a></div><div class="ttdeci">static const std::string DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:52</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a9876876bd0c30eb48c422df08a9cf1c2"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a9876876bd0c30eb48c422df08a9cf1c2">alexaClientSDK::capabilityAgents::notifications::NOTIFICATION_INDICATOR_TABLE_NAME</a></div><div class="ttdeci">static const std::string NOTIFICATION_INDICATOR_TABLE_NAME</div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:48</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a2fa8ada39243a049d78a9a39d46d4618"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a2fa8ada39243a049d78a9a39d46d4618">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</a></div><div class="ttdeci">static const std::string DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:50</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications_html_a1e5822b0a4dc46aae638572560716289"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a1e5822b0a4dc46aae638572560716289">alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_URL_NAME</a></div><div class="ttdeci">static const std::string DATABASE_COLUMN_ASSET_URL_NAME</div><div class="ttdef"><b>Definition:</b> SQLiteNotificationsStorage.cpp:56</div></div>
</div><!-- fragment -->
</div>
</div>
<a id="ade212ed907bc22e26a759f3dce8b099d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ade212ed907bc22e26a759f3dce8b099d">&#9670;&nbsp;</a></span>DATABASE_COLUMN_ASSET_ID_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_ID_NAME = &quot;assetId&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1e5822b0a4dc46aae638572560716289"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e5822b0a4dc46aae638572560716289">&#9670;&nbsp;</a></span>DATABASE_COLUMN_ASSET_URL_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_ASSET_URL_NAME = &quot;assetUrl&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2fa8ada39243a049d78a9a39d46d4618"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa8ada39243a049d78a9a39d46d4618">&#9670;&nbsp;</a></span>DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PERSIST_VISUAL_INDICATOR_NAME = &quot;persistVisualIndicator&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abc6117b2559da464ed7f8cca984ef723"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc6117b2559da464ed7f8cca984ef723">&#9670;&nbsp;</a></span>DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::DATABASE_COLUMN_PLAY_AUDIO_INDICATOR_NAME = &quot;playAudioIndicator&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab122987b6d831ebd8efc5fc42ecfe827"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab122987b6d831ebd8efc5fc42ecfe827">&#9670;&nbsp;</a></span>DEFAULT_INDICATOR_STATE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html#a6a5edb881441743163d6e1e4fd5423a0">NotificationsStorageInterface::IndicatorState</a> alexaClientSDK::capabilityAgents::notifications::DEFAULT_INDICATOR_STATE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">    NotificationsStorageInterface::IndicatorState::OFF</div></div><!-- fragment -->
</div>
</div>
<a id="a8af92c6d3ad8907d9d76ef781fd35af4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8af92c6d3ad8907d9d76ef781fd35af4">&#9670;&nbsp;</a></span>INDICATOR_STATE_CONTEXT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::notifications::INDICATOR_STATE_CONTEXT_KEY {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;IndicatorState&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1notifications_1_1_notifications_capability_agent.html">NotificationsCapabilityAgent</a></code> context state signature. </p>

</div>
</div>
<a id="a6e754560cb10cb84f09d0976d9957178"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e754560cb10cb84f09d0976d9957178">&#9670;&nbsp;</a></span>INDICATOR_STATE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::INDICATOR_STATE_NAME = &quot;indicatorState&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The name of the table and the field that will hold the state of the indicator. </p>

</div>
</div>
<a id="a777bf22881b730248127a3197fe6e59e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a777bf22881b730248127a3197fe6e59e">&#9670;&nbsp;</a></span>IS_ENABLED_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::capabilityAgents::notifications::IS_ENABLED_KEY[] = &quot;isEnabled&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key used to provide the "isEnabled" property in the state payload. </p>

</div>
</div>
<a id="a90159498ad75a76f8eb3be1c0839b4ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90159498ad75a76f8eb3be1c0839b4ef">&#9670;&nbsp;</a></span>IS_VISUAL_INDICATOR_PERSISTED_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char alexaClientSDK::capabilityAgents::notifications::IS_VISUAL_INDICATOR_PERSISTED_KEY[] = &quot;isVisualIndicatorPersisted&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key used to provide the "isVisualIndicatorPersisted" property in the state payload. </p>

</div>
</div>
<a id="a13ca861f554bba3a2d5acac936585312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13ca861f554bba3a2d5acac936585312">&#9670;&nbsp;</a></span>NAMESPACE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NAMESPACE = &quot;Notifications&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The namespace for this capability agent. </p>

</div>
</div>
<a id="a9876876bd0c30eb48c422df08a9cf1c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9876876bd0c30eb48c422df08a9cf1c2">&#9670;&nbsp;</a></span>NOTIFICATION_INDICATOR_TABLE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATION_INDICATOR_TABLE_NAME = &quot;notificationIndicators&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6fef378c8df5fc5b4a2b1f0ba729d05a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fef378c8df5fc5b4a2b1f0ba729d05a">&#9670;&nbsp;</a></span>NOTIFICATIONS_CAPABILITY_INTERFACE_NAME</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_CAPABILITY_INTERFACE_NAME = &quot;Notifications&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Notifications interface name. </p>

</div>
</div>
<a id="a0440aa524c87505ac3caae9e9e1f706a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0440aa524c87505ac3caae9e9e1f706a">&#9670;&nbsp;</a></span>NOTIFICATIONS_CAPABILITY_INTERFACE_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_CAPABILITY_INTERFACE_TYPE = &quot;AlexaInterface&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notifications capability constants Notifications interface type </p>

</div>
</div>
<a id="a84ecc569ef1a58a6907928984d783f65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a84ecc569ef1a58a6907928984d783f65">&#9670;&nbsp;</a></span>NOTIFICATIONS_CAPABILITY_INTERFACE_VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_CAPABILITY_INTERFACE_VERSION = &quot;1.0&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Notifications interface version. </p>

</div>
</div>
<a id="a61a68b833b971861506179cec9cfcd2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61a68b833b971861506179cec9cfcd2a">&#9670;&nbsp;</a></span>NOTIFICATIONS_CONFIGURATION_ROOT_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_CONFIGURATION_ROOT_KEY = &quot;notifications&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to find the root of settings. </p>

</div>
</div>
<a id="ac0f664fa963827eb4b438d156e2c9c06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0f664fa963827eb4b438d156e2c9c06">&#9670;&nbsp;</a></span>NOTIFICATIONS_DB_FILE_PATH_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::NOTIFICATIONS_DB_FILE_PATH_KEY = &quot;databaseFilePath&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The key in our config file to find the database file path. </p>

</div>
</div>
<a id="ae7fb1574295aed88b0a1531bc23a9fa3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7fb1574295aed88b0a1531bc23a9fa3">&#9670;&nbsp;</a></span>PERSIST_VISUAL_INDICATOR_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::PERSIST_VISUAL_INDICATOR_KEY = &quot;persistVisualIndicator&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Keys for directive payload values. </p>

</div>
</div>
<a id="a6aa7e9ad73bda33e496470c62c598302"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6aa7e9ad73bda33e496470c62c598302">&#9670;&nbsp;</a></span>PLAY_AUDIO_INDICATOR_KEY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::capabilityAgents::notifications::PLAY_AUDIO_INDICATOR_KEY = &quot;playAudioIndicator&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e313af9a2e32fa33305b0a245d6d415"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e313af9a2e32fa33305b0a245d6d415">&#9670;&nbsp;</a></span>SET_INDICATOR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_namespace_and_name.html">NamespaceAndName</a> alexaClientSDK::capabilityAgents::notifications::SET_INDICATOR {<a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1notifications.html#a13ca861f554bba3a2d5acac936585312">NAMESPACE</a>, &quot;SetIndicator&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The <code>SetIndicator</code> directive signature. </p>

</div>
</div>
<a id="ad168645113a45c10d458b90bc14241c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad168645113a45c10d458b90bc14241c3">&#9670;&nbsp;</a></span>SHUTDOWN_TIMEOUT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::chrono::milliseconds alexaClientSDK::capabilityAgents::notifications::SHUTDOWN_TIMEOUT {500}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
